<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8" />
  <title>"Książkorama"- Rezultaty wyszukiwania</title>
</head>
<body>
  <h1>"Książkorama"- Rezultaty wyszukiwania </h1>
  <?php
    // utworzenie krótkich nazw zmiennych
    $metoda_szukania=$_POST['metoda_szukania'];
    $wyrazenie=trim($_POST['wyrazenie']);

    if (!$metoda_szukania || !$wyrazenie) {
       echo '<p>Brak parametrów wyszukiwania. <br />
             Wróć do poprzedniej strony i spróbuj ponownie.</p>';
       exit;
    }

      // określenie typu wyszukiwania
      switch ($metoda_szukania) {
        case 'Tytul':
        case 'Autor':
        case 'ISBN':   
          break;
        default: 
          echo '<p>Nieprawidłowy typ wyszukiwania. <br/>
          Wróć i spróbuj jeszcze raz.</p>';
          exit; 
      }

    @ $db = new mysqli('localhost', 'ksiazkorama', 'ksiazkorama123', 'ksiazki');
    if (mysqli_connect_errno()) {
       echo '<p>Błąd: Połączenie z bazą danych nie powiodło się.<br /> 
             Spróbuj jeszcze raz później.</p>';
       exit;
    }

    $zapytanie = "SELECT ISBN, Autor, Tytul, Cena FROM Ksiazki WHERE $metoda_szukania = ?";

    $polecenie = $db->prepare($zapytanie);
    $polecenie->bind_param('s', $wyrazenie);  
    $polecenie->execute();
    $polecenie->store_result();
  
    $polecenie->bind_result($isbn, $autor, $tytul, $cena);

    echo "<p>Liczba znalezionych rekordów: ".$polecenie->num_rows."</p>";

    while($polecenie->fetch()) {
      echo "<p><strong>Tytuł: ".$tytul."</strong>";
      echo "<br />Autor: ".$autor;
      echo "<br />ISBN: ".$isbn;
      echo "<br />Cena: ".number_format($cena,2)."</p>";
    }

    $polecenie->free_result();
    $db->close();

  ?>

</body>
</html>